%% The Basic Solow-Sawn Model
% The Solow Diagram  
% Introduction to MATLAB for Economics  
% Javier Barbero Jimnez  
% http://www.javierbarbero.net  
% 31-Oct-2014

% Clear all and clear screen
clear all
clc

%% Parameters
% Model parameters
alpha = 1/3;    %  
s     = 0.08;   % Investmetn rate
delta = 0.05;   % Depreciation rate
n     = 0.01;   % Growth of labor force
B     = 1;      % Exogenous Total-factor productivity

% Solow diagram simualtion parameters
kEnd  = 3;     % Maximum amount of capital
kinc  = 0.01;      % Increments of capital (for simulation)


%% Steady state
% Compute steady state values
k_ss = B^(1/1-alpha) * (s/(n+delta))^(1/(1-alpha));
y_ss = B*(k_ss)^alpha;

% Print steady state
disp('STEADE STATE VALUES:');
fprintf('Capital: %f\n', k_ss)
fprintf('Output:  %f\n', y_ss)

%% The Solow diagram
% Initialize the vector of capital to all possible values
k = 0:kinc:kEnd;

% Investment
I = s*B*k.^alpha;

% Requiered investment
R = (n + delta).*k;

% Plot the data in a figure
figure
hold on
plot(k,I);
plot(k,R,'r');
xlabel('k_t');
title('The Solow Diagram','fontweight','bold');
hold off



